Page MenuHomePhabricator

Special:EntityData throws an exception when called with a form id
Closed, ResolvedPublic

Description

Calls to Special:EntityData are failing when called with form id. See e.g. https://wikidata-lexeme.wmflabs.org/index.php/Special:EntityData/L15-F1.json

Backtrace:

[aa0d3c9dfcfa41317e67c2bb] /index.php/Special:EntityData/L15-F1.json Serializers\Exceptions\UnsupportedObjectException from line 46 of /var/www/html/extensions/WikibaseLexeme/vendor/serialization/serialization/src/Serializers/DispatchingSerializer.php:

Backtrace:

#0 /var/www/html/extensions/Wikibase/repo/includes/Api/ResultBuilder.php(340): Serializers\DispatchingSerializer->serialize(Wikibase\Lexeme\DataModel\Form)
#1 /var/www/html/extensions/Wikibase/repo/includes/Api/ResultBuilder.php(305): Wikibase\Repo\Api\ResultBuilder->getEntityArray(Wikibase\Lexeme\DataModel\Form, string, NULL, array, array)
#2 /var/www/html/extensions/Wikibase/repo/includes/LinkedData/EntityDataSerializationService.php(411): Wikibase\Repo\Api\ResultBuilder->addEntityRevision(NULL, Wikibase\Lib\Store\EntityRevision)
#3 /var/www/html/extensions/Wikibase/repo/includes/LinkedData/EntityDataSerializationService.php(439): Wikibase\Repo\LinkedData\EntityDataSerializationService->generateApiResult(Wikibase\Lib\Store\EntityRevision, ApiFormatJson)
#4 /var/www/html/extensions/Wikibase/repo/includes/LinkedData/EntityDataSerializationService.php(166): Wikibase\Repo\LinkedData\EntityDataSerializationService->getApiSerialization(Wikibase\Lib\Store\EntityRevision, ApiFormatJson)
#5 /var/www/html/extensions/Wikibase/repo/includes/LinkedData/EntityDataRequestHandler.php(470): Wikibase\Repo\LinkedData\EntityDataSerializationService->getSerializedData(string, Wikibase\Lib\Store\EntityRevision, NULL, array, NULL)
#6 /var/www/html/extensions/Wikibase/repo/includes/LinkedData/EntityDataRequestHandler.php(263): Wikibase\Repo\LinkedData\EntityDataRequestHandler->showData(WebRequest, OutputPage, string, Wikibase\Lexeme\DataModel\FormId, integer)
#7 /var/www/html/extensions/Wikibase/repo/includes/Specials/SpecialEntityData.php(156): Wikibase\Repo\LinkedData\EntityDataRequestHandler->handleRequest(string, WebRequest, OutputPage)
#8 /var/www/html/includes/specialpage/SpecialPage.php(522): Wikibase\Repo\Specials\SpecialEntityData->execute(string)
#9 /var/www/html/includes/specialpage/SpecialPageFactory.php(569): SpecialPage->run(string)
#10 /var/www/html/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#11 /var/www/html/includes/MediaWiki.php(863): MediaWiki->performRequest()
#12 /var/www/html/includes/MediaWiki.php(524): MediaWiki->main()
#13 /var/www/html/index.php(42): MediaWiki->run()
#14 {main}

Event Timeline

Tpt created this task.May 19 2018, 7:05 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 19 2018, 7:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@WMDE-leszek iirc you said you fixed this already? Or am I mixing things up?

I thought I did, but not yet really!

Aklapper renamed this task from Special:EntityData throws an exeption when called with a form id to Special:EntityData throws an exception when called with a form id.May 20 2018, 10:49 AM

Change 434443 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] Defined serializer-factory callback for forms.

https://gerrit.wikimedia.org/r/434443

Lydia_Pintscher triaged this task as Medium priority.May 27 2018, 4:05 PM

Change 434443 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Defined serializer-factory callback for forms.

https://gerrit.wikimedia.org/r/434443

Lydia_Pintscher closed this task as Resolved.Jun 26 2018, 12:48 PM
Lydia_Pintscher claimed this task.
Vvjjkkii renamed this task from Special:EntityData throws an exception when called with a form id to lncaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Lydia_Pintscher as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from lncaaaaaaa to Special:EntityData throws an exception when called with a form id.Jul 1 2018, 10:38 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Lydia_Pintscher.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.